apiVersion: apps/v1
kind: Deployment
metadata:
  name: s3store
  namespace: aasp
spec:
  selector:
    matchLabels:
      app: s3store
  template:
    metadata:
      labels:
        app: s3store
    spec:
      containers:
      - name: s3store
        image: minio/minio
        livenessProbe:
            httpGet:
              path: /minio/health/live
              port: 9000
              scheme: HTTP
            initialDelaySeconds: 10
            periodSeconds: 15
            successThreshold: 1
            failureThreshold: 30
            timeoutSeconds: 3
        resources:
          limits:
            memory: "250Mi"
            cpu: "250m"
          requests:
            memory: "10Mi"
            cpu: "10m"
        volumeMounts:
          - name: s3store-persistent-storage
            mountPath: /data
        env:
          - name: MINIO_SECRET_KEY
            valueFrom:
                secretKeyRef:
                  name: storagesecret
                  key: MINIO_SECRET_KEY
          - name: MINIO_ACCESS_KEY
            valueFrom:
              configMapKeyRef:
                name: common-app-config
                key: MINIO_ACCESS_KEY
        ports:
        - containerPort: 9000
        args:
          - server
          - /data
      volumes:
        - name: s3store-persistent-storage
          persistentVolumeClaim:
              claimName: s3store-pv-claim
---
apiVersion: v1
kind: Service
metadata:
  name: s3store-svc
  namespace: aasp
spec:
  selector:
    app: s3store
  type: NodePort
  ports:
  - port: 80
    targetPort: 9000
    protocol: TCP
---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: s3store-ing
  namespace: aasp
  annotations:
    kubernetes.io/ingress.class: "nginx"
    cert-manager.io/issuer: "letsencrypt-prod"

spec:
  tls:
  - hosts:
    - s3.aaspk8s.itachi1706.com
    secretName: s3-storage-tls
  rules:
  - host: s3.aaspk8s.itachi1706.com
    http:
      paths:
      - path: /
        pathType: ImplementationSpecific
        backend:
          service:
            name: s3store-svc
            port:
              number: 80